package com.hfkj.sysenum.discount;

import lombok.Getter;

import java.util.Objects;

/**
 * 优惠券获得方式
 * @author hurui
 */
@Getter
public enum DiscountUserStatusEnum {
    /**
     * 不可用
     */
    type0(0 , "不可用"),
    /**
     * 未使用
     */
    type1(1 , "未使用"),
    /**
     * "已使用"
     */
    type2(2 , "已使用"),
    /**
     * 已过期
     */
    type3(3 , "已过期"),
    /**
     * 已作废
     */
    type4(4 , "已作废"),
    ;

    private Integer code;
    private String name;

    DiscountUserStatusEnum(int code , String name) {
        this.code = code;
        this.name = name;
    }

    public static String getNameByType(Integer code) {
        for (DiscountUserStatusEnum ele : values()) {
            if(Objects.equals(code,ele.getCode())) return ele.getName();
        }
        return null;
    }
}
